Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.mediaplayer.Constants.MediaPlayerReason Enum Reference

Player error code. More...

## Static Public Member Functions
static int | getValue (MediaPlayerReason type)
static MediaPlayerReason | fromNativeIndex (int nativeIndex)
static MediaPlayerReason | getErrorByValue (int value)

## Public Attributes
| PLAYER_REASON_NONE =(0)
| PLAYER_REASON_INVALID_ARGUMENTS =(-1)
| PLAYER_REASON_INTERNAL =(-2)
| PLAYER_REASON_NO_RESOURCE =(-3)
| PLAYER_REASON_INVALID_MEDIA_SOURCE =(-4)
| PLAYER_REASON_UNKNOWN_STREAM_TYPE =(-5)
| PLAYER_REASON_OBJ_NOT_INITIALIZED =(-6)
| PLAYER_REASON_CODEC_NOT_SUPPORTED =(-7)
| PLAYER_REASON_VIDEO_RENDER_FAILED =(-8)
| PLAYER_REASON_INVALID_STATE =(-9)
| PLAYER_REASON_URL_NOT_FOUND =(-10)
| PLAYER_REASON_INVALID_CONNECTION_STATE =(-11)
| PLAY_REASON_SRC_BUFFER_UNDERFLOW =(-12)
| PLAYER_REASON_INTERRUPTED =(-13)
| PLAYER_REASON_NOT_SUPPORTED =(-14)
| PLAYER_REASON_TOKEN_EXPIRED =(-15)
| PLAYER_REASON_IP_EXPIRED =(-16)
| PLAYER_REASON_UNKNOWN =(-17)

## Detailed Description

Player error code.

## Member Data Documentation

## ◆ PLAYER_REASON_NONE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_NONE =(0)

No error

## ◆ PLAYER_REASON_INVALID_ARGUMENTS

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_ARGUMENTS =(-1)

The parameter is incorrect

## ◆ PLAYER_REASON_INTERNAL

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INTERNAL =(-2)

Internel error

## ◆ PLAYER_REASON_NO_RESOURCE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_NO_RESOURCE =(-3)

No resource error

## ◆ PLAYER_REASON_INVALID_MEDIA_SOURCE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_MEDIA_SOURCE =(-4)

Media source is invalid

## ◆ PLAYER_REASON_UNKNOWN_STREAM_TYPE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_UNKNOWN_STREAM_TYPE =(-5)

Unknown stream type

## ◆ PLAYER_REASON_OBJ_NOT_INITIALIZED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_OBJ_NOT_INITIALIZED =(-6)

Object is not initialized

## ◆ PLAYER_REASON_CODEC_NOT_SUPPORTED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_CODEC_NOT_SUPPORTED =(-7)

Decoder codec not supported

## ◆ PLAYER_REASON_VIDEO_RENDER_FAILED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_VIDEO_RENDER_FAILED =(-8)

Video renderer is invalid

## ◆ PLAYER_REASON_INVALID_STATE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_STATE =(-9)

Internal state error

## ◆ PLAYER_REASON_URL_NOT_FOUND

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_URL_NOT_FOUND =(-10)

Url not found

## ◆ PLAYER_REASON_INVALID_CONNECTION_STATE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_CONNECTION_STATE =(-11)

Invalid connection state

## ◆ PLAY_REASON_SRC_BUFFER_UNDERFLOW

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAY_REASON_SRC_BUFFER_UNDERFLOW =(-12)

Insufficient buffer data

## ◆ PLAYER_REASON_INTERRUPTED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INTERRUPTED =(-13)

Url not found

## ◆ PLAYER_REASON_NOT_SUPPORTED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_NOT_SUPPORTED =(-14)

format not support

## ◆ PLAYER_REASON_TOKEN_EXPIRED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_TOKEN_EXPIRED =(-15)

token expired

## ◆ PLAYER_REASON_IP_EXPIRED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_IP_EXPIRED =(-16)

ip expired

## ◆ PLAYER_REASON_UNKNOWN

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_UNKNOWN =(-17)

Error unknown